v2.0
put
/ec-site-svc/rest/v2.0/studies/{studyId}/{mode}/labs/{studyLabId}
Compared with v1, this version updates study-lab addresses and properties using structured payload sections.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyLabId(required): string
The ID of the lab.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : LabCreateUpdateRequest v2.0
Type:
objectTitle:
LabCreateUpdateRequest v2.0Request payload containing lab details, addresses, and properties.
Show Source
-
lab: object
Lab
Title:
LabLab details being created or updated. -
labAddresses: array
Lab Addresses
Title:
Lab AddressesAddress associations for the lab. -
labProperties: array
Lab Properties
Title:
Lab PropertiesProperties associated with the lab.
Nested Schema : Lab
Type:
objectTitle:
LabLab details being created or updated.
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
labIdName(required): string
Example:
Central Lab -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
studyLabId: string
(uuid)
-
studySiteId(required): string
(uuid)
-
vendorId(required): string
(uuid)
-
versionStart: string
(date-time)
Example:
2026-01-15T10:30:00Z
Example:
{
"studyLabId":"B1B8327AFAA6412287106192AB5984EF",
"vendorId":"B1B8327AFAA6412287106192AB5984EF",
"studySiteId":"B1B8327AFAA6412287106192AB5984EF",
"labIdName":"Central Lab",
"versionStart":"2026-01-15T10:30:00Z"
}Nested Schema : Lab Addresses
Type:
arrayTitle:
Lab AddressesAddress associations for the lab.
Show Source
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : Lab Properties
Type:
arrayTitle:
Lab PropertiesProperties associated with the lab.
Show Source
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFAddressAssociationDto
Type:
Show Source
object-
addressTypeId: string
(uuid)
-
addressTypeIdCodeValue: string
Minimum Length:
0Maximum Length:50Example:C36A3197FDEE433FB5547EE83DE99E4B -
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
entityAddressAssociationId(required): string
(uuid)
-
id: string
(uuid)
-
mainPrimary: boolean
Example:
true -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfAddressProperties: array
sdfAddressProperties
-
sdfId: string
(uuid)
-
versionStart: string
(date-time)
Example:
2026-01-15T10:30:00Z
Nested Schema : sdfAddressProperties
Type:
Show Source
arrayExample:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFsPropertyDto
Type:
Show Source
object-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Unique identifier for this record.
-
propertyName(required): string
Minimum Length:
0Maximum Length:100Name of the property.Example:timezone -
propertyValue(required): string
Minimum Length:
0Maximum Length:2048Value of the property.Example:UTC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfId: string
(uuid)
Identifier of the related SDF record.
-
versionStart: string
(date-time)
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : LabCreateUpdateResponse v2.0
Type:
objectTitle:
LabCreateUpdateResponse v2.0Response containing the lab, addresses, and properties after persistence.
Show Source
-
lab: object
Lab
Title:
LabLab details being created or updated. -
labAddresses: array
Lab Addresses
Title:
Lab AddressesAddress associations returned for the lab. -
labProperties: array
Lab Properties
Title:
Lab PropertiesProperties returned for the lab.
Nested Schema : Lab
Type:
objectTitle:
LabLab details being created or updated.
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
labIdName(required): string
Example:
Central Lab -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
studyLabId: string
(uuid)
-
studySiteId(required): string
(uuid)
-
vendorId(required): string
(uuid)
-
versionStart: string
(date-time)
Example:
2026-01-15T10:30:00Z
Example:
{
"studyLabId":"B1B8327AFAA6412287106192AB5984EF",
"vendorId":"B1B8327AFAA6412287106192AB5984EF",
"studySiteId":"B1B8327AFAA6412287106192AB5984EF",
"labIdName":"Central Lab",
"versionStart":"2026-01-15T10:30:00Z"
}Nested Schema : Lab Addresses
Type:
arrayTitle:
Lab AddressesAddress associations returned for the lab.
Show Source
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : Lab Properties
Type:
arrayTitle:
Lab PropertiesProperties returned for the lab.
Show Source
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFAddressAssociationDto
Type:
Show Source
object-
addressTypeId: string
(uuid)
-
addressTypeIdCodeValue: string
Minimum Length:
0Maximum Length:50Example:C36A3197FDEE433FB5547EE83DE99E4B -
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
entityAddressAssociationId(required): string
(uuid)
-
id: string
(uuid)
-
mainPrimary: boolean
Example:
true -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfAddressProperties: array
sdfAddressProperties
-
sdfId: string
(uuid)
-
versionStart: string
(date-time)
Example:
2026-01-15T10:30:00Z
Nested Schema : sdfAddressProperties
Type:
Show Source
arrayExample:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFsPropertyDto
Type:
Show Source
object-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Unique identifier for this record.
-
propertyName(required): string
Minimum Length:
0Maximum Length:100Name of the property.Example:timezone -
propertyValue(required): string
Minimum Length:
0Maximum Length:2048Value of the property.Example:UTC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfId: string
(uuid)
Identifier of the related SDF record.
-
versionStart: string
(date-time)
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples